@import url("https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap");
@import url("https://fonts.googleapis.com/css2?family=DM+Sans:wght@400;500;700&display=swap");
:root {
  --bxd-body-font-family: "DM Sans", sans-serif;
  --bxd-body-font-weight: 300;

  --bxd-primary: #071049;
  --bxd-primary-rgb: 7, 16, 73;
  --bxd-secondary: #febc2f;
  --bxd-secondary-rgb: 254, 188, 47;
  --bxd-tertiary: #404040;
  --bxd-tertiary-rgb: 113, 112, 110;

  --bxd-hightlight: #6981ff;
  --bxd-hightlight-rgb: 105, 129, 255;

  --bxd-gradient-yellow: linear-gradient(90deg, #febc2f, #ef8a15);
  --bxd-gradient-blue: linear-gradient(90deg, #071049, #010221);

  --bxd-silver: #d9d9d9;

  --bxd-body-primary-color: #010221;
  --bxd-body-secondary-color: #333;

  --bxd-font-family-heading: "Poppins", sans-serif;
  --bxd-font-family-subheading: "DM Sans", sans-serif;
}

body {
  font-family: var(--bxd-body-font-family);
  font-weight: var(--bxd-body-font-weight);
  color: var(--bxd-body-color);
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

.text-highlight {
  color: var(--bxd-hightlight);
}

.btn-primary {
  background: var(--bxd-gradient-yellow);
  border: none;
  color: white;
  padding: 0.75rem 1.5rem;
  font-size: 1.25rem;
  border-radius: 0.5rem;
  transition: background 0.3s ease;
}

.btn-secondary {
  background: var(--bxd-primary);
  border: none;
  color: white;
  padding: 0.75rem 1.5rem;
  font-size: 1.25rem;
  border-radius: 0.5rem;
  transition: background 0.3s ease;
}

h1,
h2,
h3,
h4,
h5,
h6 {
  margin-bottom: 1rem;
  font-family: "Poppins", sans-serif;
}

.bg-yellow {
  background: var(--bxd-secondary);
  color: white;
}

/* Hero */
section.hero {
  background: var(--bxd-body-primary-color);
  color: white;
  min-height: 20rem;
  position: relative;
}
section.hero .logo-bg {
  position: absolute;
  top: 0;
  left: 0;
  height: 260px;
  width: 380px;
  z-index: 1;
  background: url("../images/logo-bg.svg") no-repeat center center/cover;
}

section.hero .nav-link {
  display: flex;
  justify-content: flex-end;
  gap: 2rem;
  padding: 1rem 2rem;
  color: white;
}

section.hero .nav-link:hover,
section.hero .nav-link.active {
  color: var(--bxd-hightlight);
}

section {
  padding-top: 10rem;
  padding-bottom: 10rem;
}

section .head {
  font-weight: 700;
  font-size: 2.5rem;
  line-height: 48px;
}

.text-primary {
  color: var(--bxd-primary) !important;
}
.text-secondary {
  color: var(--bxd-secondary) !important;
}
.text-tertiary {
  color: var(--bxd-tertiary) !important;
}

/* Cards */
.card {
  border-color: #ebeaed;
  border-radius: 1rem;
  transition: transform 0.3s ease, box-shadow 0.3s ease;
}

.card .card-title {
  font-weight: 700;
  font-size: 1.2rem;
  line-height: 140%;
  text-align: center;
  color: var(--bxd-primary);
  margin-bottom: 18px;
  font-family: var(--bxd-font-family-subheading);
}

.card .card-text {
  font-weight: 400;
  font-size: 16px;
  line-height: 140%;
  text-align: center;
  color: var(--bxd-tertiary);
}

/* BXD About */
.bxd-about {
  background: url(../images/bxd_bg.png) no-repeat center center/cover;
}
.essence-box {
  border-radius: 12px;
  background: #fff;
  padding: 1rem;
  text-align: center;
}

.essence-box span {
  font-weight: 700;
  font-size: 18px;
  text-transform: uppercase;
  color: #404040;
}

.essence-box p {
  font-size: 1.6rem;
  font-weight: 700;
  color: #000;
  line-height: 1.4;
}

/* BXD Matters */
.bxd-matters {
  background: var(--bxd-secondary);
  padding: 6rem 0;
}

.bxd-matters .card {
  background-color: transparent !important;
  border: none !important;
  box-shadow: none !important;
}

.bxd-matters .head,
.bxd-matters .card .card-title {
  color: white !important;
}

.bxd-matters .card img {
  margin: 0 auto;
  display: block;
  height: 48px !important;
}

/* Business Experience Strategy */
.bxd-light-bg {
  background: url(../images/bex_bg.png) no-repeat center center/cover;
}

.bxd-light-bg img,
.bxd-ed img {
  mix-blend-mode: multiply;
}

.bxd-ah img {
  mix-blend-mode: normal;
}

/* Experience Design & Orchestration */
.bxd-dark-bg,
.bxd-edo {
  background: var(--bxd-body-primary-color);
  color: white;
}
.bxd-edo .head {
  color: white !important;
}
.bxd-edo p {
  color: #8c8c8c;
}

/* Transformation Enablement */
.bxd-te {
  background: var(--bxd-silver);
}

/* Contact Us */
.bxd-contact-us .bg-secondary {
  background-color: var(--bxd-secondary); /* Yellow background */
}

.bxd-contact-us .form-label {
  font-weight: 600;
  color: white;
}

.bxd-contact-us .form-control {
  border: none;
  padding: 0.75rem 1rem;
  font-size: 1rem;
}

.bxd-contact-us .btn-primary {
  background-color: var(--bxd-primary); /* Dark blue button */
  border: none;
  color: white;
  padding: 0.75rem 1.5rem;
  font-size: 1.25rem;
  transition: background 0.3s ease;
}

.bxd-contact-us .btn-primary:hover {
  background-color: var(--bxd-hightlight); /* Highlight color */
}

/* Forms */
.bxd-contact-us .form-label {
  font-weight: 600;
  color: white;
}

.bxd-contact-us .form-control {
  padding: 0.75rem 1rem;
  font-size: 1rem;
  background: transparent !important;
  border: 1px solid rgba(0, 0, 0, 0.2);
}
.bxd-contact-us .form-control::placeholder {
  color: rgba(0, 0, 0, 0.2);
}

.bxd-contact-us .btn-primary {
  background: var(--bxd-primary) !important; /* Dark blue button */
  border: none;
  color: white;
  padding: 0.75rem 1.5rem;
  font-size: 0.875rem;
  transition: background 0.3s ease;
}

.bxd-contact-us .btn-primary:hover {
  background-color: var(--bxd-hightlight); /* Highlight color */
}

/* Footer */
.footer {
  background-color: #2a2a72; /* Dark blue background */
  color: #ffffff; /* White text */
}

.footer a {
  text-decoration: none;
  color: #ffffff;
  transition: color 0.3s ease;
}

.footer a:hover {
  color: #f0a500; /* Highlight color on hover */
}

.footer i {
  font-size: 1.5rem; /* Icon size */
}

.footer img {
  max-width: 100%;
  height: auto;
}
